## adapta-kde 20180828

=== Makefile ===
# GNU make is required to run this file. To install on *BSD, run:
#   gmake PREFIX=/usr/local install

PREFIX ?= /usr
IGNORE ?=
THEMES ?= aurorae color-schemes konsole Kvantum plasma wallpapers yakuake

# excludes IGNORE from THEMES list
THEMES := $(filter-out $(IGNORE), $(THEMES))

all:

install:
	mkdir -p $(DESTDIR)$(PREFIX)/share
	cp -R $(THEMES) $(DESTDIR)$(PREFIX)/share

uninstall:
	-rm -rf $(DESTDIR)$(PREFIX)/share/aurorae/themes/Adapta
	-rm -r  $(DESTDIR)$(PREFIX)/share/color-schemes/Adapta.colors
	-rm -r  $(DESTDIR)$(PREFIX)/share/color-schemes/AdaptaNokto.colors
	-rm -r  $(DESTDIR)$(PREFIX)/share/konsole/Adapta.colorscheme
	-rm -r  $(DESTDIR)$(PREFIX)/share/konsole/AdaptaNokto.colorscheme
	-rm -rf $(DESTDIR)$(PREFIX)/share/Kvantum/Adapta
	-rm -rf $(DESTDIR)$(PREFIX)/share/Kvantum/AdaptaNokto
	-rm -rf $(DESTDIR)$(PREFIX)/share/plasma/desktoptheme/Adapta
	-rm -rf $(DESTDIR)$(PREFIX)/share/plasma/look-and-feel/com.github.varlesh.adapta
	-rm -rf $(DESTDIR)$(PREFIX)/share/wallpapers/Adapta
	-rm -rf $(DESTDIR)$(PREFIX)/share/yakuake/skins/adapta
	-rm -rf $(DESTDIR)$(PREFIX)/share/yakuake/skins/adapta-nokto

_get_version:
	$(eval VERSION := $(shell git show -s --format=%cd --date=format:%Y%m%d HEAD))
	@echo $(VERSION)

dist: _get_version
	git archive --format=tar.gz -o $(notdir $(CURDIR))-$(VERSION).tar.gz master -- $(THEMES)

release: _get_version
	git tag -f $(VERSION)
	git push origin
	git push origin --tags

undo_release: _get_version
	-git tag -d $(VERSION)
	-git push --delete origin $(VERSION)


.PHONY: all install uninstall _get_version dist release undo_release

# .BEGIN is ignored by GNU make so we can use it as a guard
.BEGIN:
	@head -3 Makefile
	@false

=== debian/changelog ===
adapta-kde (20180828-2) unstable; urgency=medium

  * d/copyright:
    - Fix wrong term in license. (Closes: #920260)
  * d/control:
    - Fix issues with the multiarch metadata for this package.
    - Update Standards-Version to 4.3.0.

 -- Franciscarlos Soares <prof.franciscarlos@gmail.com>  Wed, 23 Jan 2019 19:41:51 -0300

adapta-kde (20180828-1) unstable; urgency=medium

  * Initial release. (Closes: #904205)

 -- Franciscarlos Soares <prof.franciscarlos@gmail.com>  Mon, 01 Oct 2018 23:58:12 -0300

=== debian/control ===
Source: adapta-kde
Section: kde
Priority: optional
Maintainer: Franciscarlos Soares <prof.franciscarlos@gmail.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.3.0
Homepage: https://github.com/PapirusDevelopmentTeam/adapta-kde
Vcs-Browser: https://salsa.debian.org/debian/adapta-kde
Vcs-Git: https://salsa.debian.org/debian/adapta-kde.git

Package: adapta-kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: qt5-style-kvantum, papirus-icon-theme
Provides: qt5-style-kvantum-theme
Suggests: konsole, yakuake
Description: Port of the popular Gtk theme Adapta for Plasma 5 desktop
 adapta-kde is a port of the popular Gtk theme Adapta for Plasma 5 desktop with
 a few additions and extras.
 .
 In this package you'll find:
 .
  * Aurorae Theme
  * Konsole Color Schemes
  * Kvantum Themes
  * Plasma Color Schemes
  * Plasma Desktop Theme
  * Plasma Look-and-Feel Settings
  * Wallpaper
  * Yakuake Skins

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

	find $(CURDIR)/debian \( -name "LICENSE" -o -name "AUTHORS" \) -exec rm -f {} \;

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%adapta-kde-$1.tar.gz%" \
   https://github.com/PapirusDevelopmentTeam/adapta-kde/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
